"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleRecordTaskRuns = handleRecordTaskRuns;
exports.handleGetFlakyTasks = handleGetFlakyTasks;
const task_history_1 = require("../../utils/task-history");
const taskHistory = new task_history_1.TaskHistory();
async function handleRecordTaskRuns(taskRuns) {
    await taskHistory.recordTaskRuns(taskRuns);
    return {
        response: 'true',
        description: 'handleRecordTaskRuns',
    };
}
async function handleGetFlakyTasks(hashes) {
    const history = await taskHistory.getFlakyTasks(hashes);
    return {
        response: JSON.stringify(history),
        description: 'handleGetFlakyTasks',
    };
}
